org.fourthline.cling.model.message.discovery

## Class IncomingSearchRequest

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<O>
  - - org.fourthline.cling.model.message.IncomingDatagramMessage<UpnpRequest>
    - - org.fourthline.cling.model.message.discovery.IncomingSearchRequest

-     public class IncomingSearchRequest
      extends IncomingDatagramMessage<UpnpRequest>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingSearchRequest(IncomingDatagramMessage<UpnpRequest> source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getMX()`
    `UpnpHeader` | `getSearchTarget()`
    `boolean` | `isMANSSDPDiscover()`

    - ### Methods inherited from class org.fourthline.cling.model.message.IncomingDatagramMessage

      `getLocalAddress, getSourceAddress, getSourcePort`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncomingSearchRequest

          public IncomingSearchRequest(IncomingDatagramMessage<UpnpRequest> source)

  - ### Method Detail

    - #### getSearchTarget

          public UpnpHeader getSearchTarget()

    - #### getMX

          public Integer getMX()

    - #### isMANSSDPDiscover

          public boolean isMANSSDPDiscover()

      Returns:
        `true` if this message has a MAN with value `NotificationSubtype.DISCOVER`.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.